Bug 866384 - Storing the user report via cli in a pdf format fails in headpin-cli upstream
Storing the user report via cli in a pdf format fails in headpin-cli upstream
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-agent (Show other bugs)
6.0.0
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Tom McKay
Katello QA List
: Triaged
Depends On: 866323
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 05:09 EDT by Garik Khachikyan
Modified: 2015-01-04 16:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 866323
Environment:
Last Closed: 2014-06-17 14:38:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garik Khachikyan 2012-10-15 05:09:27 EDT
+++ This bug was initially created as a clone of Bug #866323 +++

Created attachment 627199 [details]
The client.log file /var/log/katello/client.log

Description of problem:
When a user report is tried to be generated using the headpin-cli
in pdf format it fails.

Version-Release number of selected component (if applicable):
# rpm -qa | grep katello
katello-selinux-1.1.2-1.el6.noarch
katello-cli-1.1.10-1.el6.noarch
katello-candlepin-cert-key-pair-1.0-1.noarch
katello-configure-1.1.11-1.el6.noarch
katello-common-1.1.14-1.git.7.a19ce6f.el6.noarch
katello-headpin-all-1.1.14-1.git.7.a19ce6f.el6.noarch
katello-certs-tools-1.1.9-1.el6.noarch
katello-glue-candlepin-1.1.14-1.git.7.a19ce6f.el6.noarch
katello-cli-common-1.1.10-1.el6.noarch
katello-headpin-1.1.14-1.git.7.a19ce6f.el6.noarch


How reproducible:
yum install -y katello-headpin-all
katello-configure --deployment=headpin

Using Jenkins the automated test report generated :

http://hudson.rhq.lab.eng.bos.redhat.com:8080/hudson/view/qe-headpin/job/official-headpin-cli/11/ReportNG_Report/

Steps to Reproduce:
1. # yum install -y katello-headpin-all
2. # katello-configure --deployment=headpin
3. # headpin -u admin  -p admin user report --format pdf
error: 'utf8' codec can't decode byte 0xff in position 10: invalid start byte (more in the log file /var/log/katello/client.log)

  
Actual results:
The report pdf file is not generated.

Expected results:
A pdf file containing the user report is generated .

Additional info:
Comment 1 Garik Khachikyan 2012-10-15 05:11:13 EDT
it's actually regression comming from katello nightly and *I do believe* will not hit cfse 1.1 puddle(s). (so not puttinmg the flags+blocker)
Comment 3 Garik Khachikyan 2012-10-15 06:08:53 EDT
# COMMENT

giving ? for: cloudforms‑2.0.0 having a hope for not being an issue for CFSE 1.1

still hold for QE acking.
Comment 4 Bryan Kearney 2014-06-17 14:38:02 EDT
This feature has been removed from the katello cli. I am closing this out. If you disagree, please re-open.

Note You need to log in before you can comment on or make changes to this bug.